org.fourthline.cling.transport.impl

## Class StreamClientConfigurationImpl

- java.lang.Object
- - org.fourthline.cling.transport.spi.AbstractStreamClientConfiguration
  - - org.fourthline.cling.transport.impl.StreamClientConfigurationImpl

- All Implemented Interfaces:
    StreamClientConfiguration

      public class StreamClientConfigurationImpl
      extends AbstractStreamClientConfiguration

  Settings for the default implementation.
  Author:
    Christian Bauer

- - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.transport.spi.AbstractStreamClientConfiguration

      `logWarningSeconds, requestExecutorService, timeoutSeconds`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamClientConfigurationImpl(ExecutorService timeoutExecutorService)`
    `StreamClientConfigurationImpl(ExecutorService timeoutExecutorService, int timeoutSeconds)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isUsePersistentConnections()` Defaults to `false`, avoiding obscure bugs in the JDK.
    `void` | `setUsePersistentConnections(boolean usePersistentConnections)`

    - ### Methods inherited from class org.fourthline.cling.transport.spi.AbstractStreamClientConfiguration

      `getLogWarningSeconds, getRequestExecutorService, getTimeoutSeconds, getUserAgentValue, setLogWarningSeconds, setRequestExecutorService, setTimeoutSeconds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamClientConfigurationImpl

          public StreamClientConfigurationImpl(ExecutorService timeoutExecutorService)

    - #### StreamClientConfigurationImpl

          public StreamClientConfigurationImpl(ExecutorService timeoutExecutorService,
                                               int timeoutSeconds)

  - ### Method Detail

    - #### isUsePersistentConnections

          public boolean isUsePersistentConnections()

      Defaults to `false`, avoiding obscure bugs in the JDK.

    - #### setUsePersistentConnections

          public void setUsePersistentConnections(boolean usePersistentConnections)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.